Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9216)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 9217)
@@ -1,34 +1,82 @@
 <div i18n:domain="waeup.kofa" class="row">
-  <div class="span4 columns">
   <div class="span8 columns">
-    <p i18n:translate="">Here you can download parts of portal data.</p>
-    <p i18n:translate="">
-      Please pick the type of objects you want to export from the
-      selection below.
-    </p>
-  </div>
+    <div class="span8 columns">
+      <p i18n:translate="">
+	Here you can create CSV files from parts of portal data.
+      </p>
+      <p i18n:translate="">
+	Please pick the type of objects you want to export from the
+	selection below.
+      </p>
+      <p i18n:translate="">
+	The file will be generated and then be made available for you
+	to download. You must download or discard any existing export
+	file before creating a new one.
+      </p>
+    </div>
 
-  <form  method="POST">
-    <fieldset>
+    <form  method="POST">
+      <fieldset>
 	<div class="clearfix">
-	  <label for="exporter">Data Type:</label>
-	  <div class="input">
-	    <select name="exporter">
-	      <span tal:repeat="items view/getExporters" tal:omit-tag="">
-		<option
-		    tal:define="name python: items[1]; title python: items[0]"
-		    tal:attributes="value name">
-		  <span tal:replace="title">TITLE</span>
-		</option>
+	  <label for="running_exports"
+		 tal:condition="view/getRunningExports">Running Export:</label>
+	  <div class="input span6">
+	    <div tal:repeat="items view/getRunningExports">
+	      <div>
+		Data type:
+		<span tal:content="python: items[2]">exporter</span><br />
+		Status:
+		<span tal:content="python: items[1]">status</span><br />
+		<br /><br />
+	      </div>
+	      <div>
+		<span tal:condition="not: python: view.job_finished(items[0])">
+		  <img src=""
+		       tal:attributes="src static/ajax-loader.gif"
+		       alt="Loading..."
+		       class="spinner" />
+		  <input type="submit" name="reload" value="Reload"
+			 class="btn primary" />
+		</span>
+		<div>
+		  <span tal:condition="python: view.job_finished(items[0])">
+		    <input type="submit" name="download" value="Download"
+			   class="btn primary" />
+		    <input type="submit" name="discard" value="Discard"
+			 class="btn secondary" />
+		  </span>
+		</div>
+	      </div>
+	    </div>
+
+	    <div>
+	      <tal:loading_bar content="structure provider:loadingbar" />
+	    </div>
+	  </div>
+
+	  <div class="clearfix"
+	       tal:condition="not: view/getRunningExports">
+	    <label for="exporter">Data Type:</label>
+	    <div class="input">
+	      <select name="exporter">
+		<span tal:repeat="items view/getExporters" tal:omit-tag="">
+		  <option
+		      tal:define="name python: items[1]; title python: items[0]"
+		      tal:attributes="value name">
+		    <span tal:replace="title">TITLE</span>
+		  </option>
+		</span>
+	      </select>
+	      <span class="help-inline" i18n:translate="">
+		Type of objects to export
 	      </span>
-	    </select>
-	    <span class="help-inline" i18n:translate="">
-	      Type of objects to export
-	    </span>
+	    </div>
 	  </div>
-	</div>
-	<div class="input">
-	  <input i18n:translate="" type="submit" class="btn primary"
-		 name="export" tal:attributes="value view/export_button" />
+	  <div class="input"
+	       tal:condition="not: view/getRunningExports">
+	    <input i18n:translate="" type="submit" class="btn primary"
+		   name="start_export"
+		   tal:attributes="value view/export_button" />
+	  </div>
 	</div>
       </fieldset>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/jobindex.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/jobindex.pt	(revision 9217)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/jobindex.pt	(revision 9217)
@@ -0,0 +1,21 @@
+<html>
+  <head>
+  </head>
+  <body>
+    <div>
+      Job: <span tal:content="python:view.context.__repr__()">JOB</span>
+    </div>
+    <div>
+      Status: <span tal:content="view/context/status">status</span>
+    </div>
+    <div>
+      Begin after: <span tal:content="view/context/begin_after">after</span>
+    </div>
+    <div>
+      Begin by: <span tal:content="view/context/begin_by">by</span>
+    </div>
+    <div>
+      Percent done: <span tal:content="view/percent">percent</span>
+    </div>
+  </body>
+</html>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/virtjobscontainerindex.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/virtjobscontainerindex.pt	(revision 9217)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/virtjobscontainerindex.pt	(revision 9217)
@@ -0,0 +1,45 @@
+<h1>Running and Completed Jobs</h1>
+<div>
+  <form method="POST">
+    <input type="submit" class="btn primary" name="RELOAD" value="reload" />
+    <input type="submit" class="btn secondary"
+	   name="START_NEW" value="start new test job" />
+  </form>
+</div>
+<hr />
+
+<div tal:repeat="job view/jobs">
+  <div>
+    JOB
+    <a href="" tal:attributes="href job/link">
+      <span tal:replace="job/job_id">12</span>
+    </a>
+    status: <span tal:replace="job/status">new</span>
+    <div>
+      &nbsp;&nbsp;
+      <span class="span3">begin by:</span>
+      <span tal:content="job/begin_by"></span>
+    </div>
+    <div>
+      &nbsp;&nbsp;
+      <span class="span3">begin after:</span>
+      <span tal:content="job/begin_after"></span>
+    </div>
+    <div>
+      &nbsp;&nbsp;
+      <span class="span3">annotations:</span>
+      <span tal:content="job/annotations"></span>
+    </div>
+    <div>
+      &nbsp;&nbsp;
+      <span class="span3">failure:</span>
+      <span tal:content="job/failure"></span>
+    </div>
+  </div>
+  <form tal:condition="job/removable" method="POST">
+    <input type="submit" class="btn secondary" name="REMOVE" value="Remove" />
+    <input type="hidden" name="job_id"
+	   tal:attributes="value job/job_id" />
+  </form>
+  <hr />
+</div>
